Page MenuHomePhabricator

Linter isn't highlighting text in 2017 WTE anymore
Closed, ResolvedPublic8 Story Points

Description

I was out of office for a week, so I'm not sure this happened in the deploy this week or one last week, but 2017 wikitext editor no longer highlights the error when you click a lint error edit link in Firefox 57.0.4 on either Windows 7 or 10. More precisely, it does seem to highlight but then disappears.


Steps to reproduce:

  1. Enable NWE in preferences
  2. Go to e.g. https://en.wikipedia.org/wiki/Special:LintErrors/wikilink-in-extlink?namespace=0 and follow one of the "edit" links in the table

When the editor loads, it should select some text on the page, and scroll it into view.

Details

Related Gerrit Patches:
mediawiki/extensions/Linter : masterHandle VisualEditor when it skips the "tempWikitextEditor" stage
mediawiki/extensions/Linter : masterFix VisualEditor (NWE) integration
mediawiki/extensions/Linter : masterFix NWE integration to use new tempWikitextEditor
mediawiki/extensions/VisualEditor : masterPublic API for the tempWikitextEditor

Event Timeline

Izno created this task.Jan 19 2018, 12:52 AM
Restricted Application added a project: VisualEditor. · View Herald TranscriptJan 19 2018, 12:52 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Izno added a comment.Jan 19 2018, 2:29 PM

This might be a Timeless thing too/instead; I haven't check vector.

Change 405746 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Public API for the tempWikitextEditor

https://gerrit.wikimedia.org/r/405746

Change 405747 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/Linter@master] Fix NWE integration to use new tempWikitextEditor

https://gerrit.wikimedia.org/r/405747

Change 405746 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Public API for the tempWikitextEditor

https://gerrit.wikimedia.org/r/405746

Change 405747 merged by jenkins-bot:
[mediawiki/extensions/Linter@master] Fix NWE integration to use new tempWikitextEditor

https://gerrit.wikimedia.org/r/405747

Jdforrester-WMF closed this task as Resolved.Jan 29 2018, 5:28 PM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF triaged this task as Medium priority.
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF set the point value for this task to 8.
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJan 29 2018, 5:28 PM

@Esanders @Jdforrester-WMF @ssastry I'm still unable to get the lint error. Now, however, I don't have

More precisely, it does seem to highlight but then disappears.

occurring. WTE2017 loads and there's no other indication that it knows about a lint error in any way.

Stryn reopened this task as Open.Apr 25 2018, 3:42 PM
Stryn added a subscriber: Stryn.

I can confirm. ^

Deskana lowered the priority of this task from Medium to Low.Aug 30 2018, 10:02 AM
Deskana moved this task from TR0: Interrupt to Freezer on the VisualEditor board.
matmarex claimed this task.Jun 11 2019, 3:27 PM
matmarex added a subscriber: Esanders.

Change 516505 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/Linter@master] Fix VisualEditor (NWE) integration

https://gerrit.wikimedia.org/r/516505

Change 516506 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/Linter@master] Handle VisualEditor when it skips the "tempWikitextEditor" stage

https://gerrit.wikimedia.org/r/516506

Change 516505 merged by jenkins-bot:
[mediawiki/extensions/Linter@master] Fix VisualEditor (NWE) integration

https://gerrit.wikimedia.org/r/516505

Change 516506 merged by jenkins-bot:
[mediawiki/extensions/Linter@master] Handle VisualEditor when it skips the "tempWikitextEditor" stage

https://gerrit.wikimedia.org/r/516506

matmarex updated the task description. (Show Details)Jul 1 2019, 4:40 PM
matmarex moved this task from Inbox to Low Priority on the Editing QA board.Jul 1 2019, 4:45 PM
matmarex edited projects, added Skipped QA; removed Editing QA.
ppelberg closed this task as Resolved.Sep 3 2019, 1:25 AM